Deepo 正在参加 2021 年度 OSC 中国开源项目评选,请投票支持!
Deepo 在 2021 年度 OSC 中国开源项目评选 中已获得 {{ projectVoteCount }} 票,请投票支持!
2021 年度 OSC 中国开源项目评选 正在火热进行中,快来投票支持你喜欢的开源项目!
2021 年度 OSC 中国开源项目评选 >>> 中场回顾
Deepo 获得 2021 年度 OSC 中国开源项目评选「最佳人气项目」 !

软件简介

Deepo是一个Docker镜像,具有完全可重现的深度学习研究环境。 它包含最受欢迎的深度学习框架: theanotensorflowsonnetpytorchkeraslasagnemxnetcntkchainer, caffetorch

用法:

tensorflow

$ python

>>> import tensorflow
>>> print(tensorflow.__name__, tensorflow.__version__)
tensorflow 1.3.0

pytorch

$ python

>>> import torch
>>> print(torch.__name__, torch.__version__)
torch 0.2.0_3

sonnet

$ python

>>> import sonnet
>>> print(sonnet.__name__, sonnet.__path__)
sonnet ['/usr/local/lib/python3.5/dist-packages/sonnet']

和类似解决方案的对比:

展开阅读全文

代码

的 Gitee 指数为
超过 的项目

评论 (0)

加载中
更多评论
暂无内容
发表了博客
2019/07/01 20:02

Deepo

Deepo is a series of Docker images that allows you to quickly set up your deep learning research environment supports almost all commonly used deep learning frameworks supports GPU acceleration (CUDA and cuDNN included), also works in CPU-only mode works on Linux (CPU version/GPU version), Windows (CPU version) and OS X (CPU version) and their Dockerfile generator that allows you to customize y...

0
0
发表了博客
2018/02/07 11:28

Vmvare + Ubuntu 16.04环境搭建 + 相关软件安装配置笔记【深度学习】

前言 由于学习与工作的需要,加上之前配置好的vmmachines都损坏了,我就重新弄一个ubuntu虚拟机,配置一下环境,给自己留个记录 1、文件 2、配置过程 1、在Vmware中新建虚拟机,自定义->稍后再安装操作系统,设置中选择自定义的ISO映像文件作为磁盘载入,进行安装 2、打开虚拟机,基本上按界面提示操作,安装完成再修改合适的分辨率 3、安装deepo,先安装docker,依赖的博客 【在ubuntu 16.04上安装docker 】http://blog.csdn.ne...

0
0
发表了博客
2018/10/16 17:27

[Docker] 教你如何用Docker快速搭建深度学习环境

本教程搭建集 Tensorflow、Keras、Coffe、PyTorch 等深度学习框架于一身的环境,及jupyter。 本教程使用nvidia-docker启动实例,通过本教程可以从一个全新的Ubuntu系统快速搭建出GPU深度学习环境。 一、安装依赖环境 1. 使用国内镜像加速安装 https://mirrors.tuna.tsinghua.edu.cn/help/ubuntu/ 此处默认环境:ubuntu16.04LTS sudo mv /etc/apt/sources.list /etc/apt/sources.list.old sudo vim /etc/apt/sources.list 然后将...

0
0
发表了博客
2019/01/09 08:40

docker出现如下错误:Cannot connect to the Docker daemon at unix:///var/run/docker.sock. Is the docker da...

在docker中配置deepo时出现了错误: 在出现这个错误之前,我是先用如下命令查看NVIDIA-docker是否安装成功。 docker run --runtime=nvidia --rm nvidia/cuda nvidia-smi 出现如下显示: 在网上查看原因,显示是nvidia-docker 没有注册,具体查看https://blog.csdn.net/weixin_32820767/article/details/80538510 然后按照博客提示进行注册,通过下面的步骤: #To register the nvidia runtime, use the method below that is ...

0
0
发表了博客
2019/08/25 16:22

[AI] 切换cuda版本的万金油

1. 环境 ubuntu16.04 GTX1080Ti x 4 nvidia-418 cuda-10.1 pytorch1.0.0 目标:在最新的显卡驱动下,使用不同版本的cuda和深度学习框架来执行、编译模型代码。 2. 前言 众所周知,NVIDIA的cuda版本更新的很快,且不同cuda版本不兼容,所以导致有些模型的部分layer在cuda编译时,十分的麻烦。 例如我碰到的例子,实验室需要运行flownet2.0,NVIDIA给出了官方实现,但其中有几个layer使用了cuda编写,在运行模型之前要先编译这几个...

0
0
发表了博客
2018/10/03 22:14

Coding and Paper Letter(二十九)

资源整理,国庆套餐有点丰厚,分开两篇,老规矩,一篇Coding,一篇论文。 # Coding: 1.R语言包dbplyr,用于数据库接口的dplyr。 [dbplyr](https://github.com/tidyverse/dbplyr) 2.世界的topojson数据集,包含有一些国家的数据。 [topojson](https://github.com/deldersveld/topojson) ![](http://pbl6hpz34.bkt.clouddn.com/1538560559101tuu2i12t.png?imageslim) 3.LearnGitBranching是一个git存储库可视化工具,沙箱,以及一...

0
0
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
暂无内容
0 评论
16 收藏
分享
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部